%define ver      0.5.9
%define RELEASE 3
%define rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /usr
%define sysconfdir	/etc

Summary: A GTK+ GUI builder.
Name: glade
Version: %ver
Release: %rel
Epoch: 1
Copyright: GPL
URL: http://glade.pn.org/
Source: http://glade.pn.org/glade-%version.tar.gz
BuildRoot: /var/tmp/glade-%version-root
Group: Development/Tools


%description
GLADE is a free user interface builder for GTK+ and GNOME, released
under the GNU General Public License (GPL). GLADE can produce C source
code; C++, Ada95, Python and Perl support is also available, via
external tools which process the XML interface description files
output by GLADE. GLADE supports most GTK+ 1.2 widgets. Support for
styles, however, is not complete.

Install glade if you need an interface builder for GTK+ and GNOME.

%prep
%setup -q

%build
%configure
if [ "$SMP" != "" ]; then
	make MAKE="make -j$SMP" PACKAGE_PIXMAPS_DIR=/usr/share/pixmaps/glade
else
	make PACKAGE_PIXMAPS_DIR=/usr/share/pixmaps/glade
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall PACKAGE_PIXMAPS_DIR=$RPM_BUILD_ROOT/usr/share/pixmaps/glade

strip $RPM_BUILD_ROOT/usr/bin/* ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS TODO 
/usr/bin/glade
/usr/share/gnome/apps/Development/glade.desktop
/usr/share/locale/*/*/*
/usr/share/glade
/usr/share/pixmaps/glade/glade_logo.png

%changelog
* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Elliot Lee <sopwith@redhat.com>
- Upgrade to 0.5.9

* Mon May 22 2000 Bill Nottingham <notting@redhat.com>
- use %%configure (ia64)

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- upgrade to 0.5.7

* Wed Feb 23 2000 Cristian Gafton <gafton@redhat.com>
- minor bug fixes from jrb

* Mon Feb 14 2000 Jonathan Blandford <jrb@redhat.com>
- Update to 0.5.6
- removed patch to revert desktop entry to Development.

* Fri Sep 17 1999 Elliot Lee <sopwith@redhat.com>
- Update to 0.5.3
- Merge in changes from upstream spec file (e.g. include locale files)

* Wed Aug 25 1999 Cristian Gafton <gafton@redhat.com>
- fixed the group description

* Fri Aug 20 1999 Michael Fulbright <drmike@redhat.com>
- moved desktop entry into 'Applications' from 'Development' on menu

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- Integrated into RH distribution

* Thu Aug 05 1999 Preben Randhol <randhol@pvv.org>
- Latest source 0.5.1

* Wed Jul 09 1999 Preben Randhol <randhol@pvv.org>
- Latest source 0.5.0

* Wed Apr 12 1999 Preben Randhol <randhol@pvv.org>
- Latest source

* Wed Mar 04 1999 Preben Randhol <randhol@pvv.org>
- 990304 Latest from CVS

